Bug 1928857 - Anaconda should support specifying btrfs_compression and pass it to Blivet
Summary: Anaconda should support specifying btrfs_compression and pass it to Blivet
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1916918
TreeView+ depends on / blocked
 
Reported: 2021-02-15 16:58 UTC by Michel Alexandre Salim
Modified: 2021-02-19 20:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-19 20:19:36 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github rhinstaller anaconda pull 3177 0 None open [Storage] add btrfs_compression option (#1928857) 2021-02-17 05:01:52 UTC

Description Michel Alexandre Salim 2021-02-15 16:58:19 UTC
For https://fedoraproject.org/wiki/Changes/BtrfsTransparentCompression, every btrfs filesystems created by Anaconda should be mounted with `compress=zstd:1`

Comment 1 Brian Lane 2021-02-15 18:55:15 UTC
This kind of filesystem specific change belongs in Anaconda's kickstart handling code, not upstream.

Comment 2 Michel Alexandre Salim 2021-02-17 05:01:53 UTC
Per discussion with the Anaconda team, here's the PR adding the ability to set [Storage] btrfs_compression and passing it to Blivet: https://github.com/rhinstaller/anaconda/pull/3177

Comment 3 Chris Murphy 2021-02-19 20:19:36 UTC
This is in 20210219 composes (tested with Fedora-Workstation-Live-x86_64-34-20210219.n.0.iso). Mount option 'compress=zstd:1' used for the duration of the installation, and is in /etc/fstab.

# compsize /media/root
Processed 132149 files, 78870 regular extents (84614 refs), 73010 inline.
Type       Perc     Disk Usage   Uncompressed Referenced  
TOTAL       52%      2.5G         4.8G         5.4G       
none       100%      1.2G         1.2G         1.3G       
zstd        36%      1.3G         3.6G         4.1G


Note You need to log in before you can comment on or make changes to this bug.